# Generated by Django 2.1.7 on 2019-05-09 20:56

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Area',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=144)),
                ('create_at', models.DateTimeField(auto_now_add=True)),
                ('update_at', models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.CreateModel(
            name='Client',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('identification_type', models.CharField(choices=[('R', 'RUT'), ('D', 'DNI')], max_length=1)),
                ('name', models.CharField(max_length=144)),
                ('business_name', models.CharField(max_length=144)),
                ('activo', models.BooleanField(default=True)),
                ('address_1', models.CharField(max_length=144)),
                ('identification_number', models.CharField(max_length=50)),
                ('create_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('tecnical_contact', models.EmailField(blank=True, max_length=254)),
                ('comercial_contact', models.EmailField(blank=True, max_length=254)),
                ('finance_contact', models.EmailField(blank=True, max_length=254)),
            ],
        ),
        migrations.CreateModel(
            name='ClientService',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('amount', models.DecimalField(decimal_places=2, max_digits=5)),
                ('pay_day', models.IntegerField(default=0)),
                ('type_sla', models.CharField(choices=[('A', '8x5'), ('B', '24x7')], max_length=1)),
                ('type_contract', models.CharField(choices=[('C', 'Definido'), ('I', 'Indefinido')], max_length=1)),
                ('start_date_c', models.DateTimeField()),
                ('end_date_c', models.DateTimeField(blank=True)),
                ('client_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='crm.Client')),
            ],
        ),
        migrations.CreateModel(
            name='GroupClient',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=144)),
                ('create_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.CreateModel(
            name='ProfitCenter',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=144)),
                ('create_at', models.DateTimeField(auto_now_add=True)),
                ('update_at', models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.CreateModel(
            name='Service',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=144)),
                ('comment', models.BigIntegerField(default=0)),
                ('create_at', models.DateTimeField(auto_now_add=True)),
                ('update_at', models.DateTimeField(auto_now=True)),
                ('area_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='crm.Area')),
                ('profitcenter_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='crm.ProfitCenter')),
            ],
        ),
        migrations.CreateModel(
            name='TypeService',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=144)),
                ('create_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.AddField(
            model_name='service',
            name='type_service_id',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='crm.TypeService'),
        ),
        migrations.AddField(
            model_name='clientservice',
            name='profitcenter_id',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='crm.ProfitCenter'),
        ),
        migrations.AddField(
            model_name='clientservice',
            name='service_id',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='crm.Service'),
        ),
        migrations.AddField(
            model_name='client',
            name='group_client',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='crm.GroupClient'),
        ),
    ]
